Subject: [bug#68202] [PATCH 0/5] Add support for x86_64-linux-gnux32

From: Ludovic Courtès <[email-masked]>
Date: Mon, 08 Jan 2024 18:14:07 +0100

Hi,

Efraim Flashner <[email-masked]> skribis:

> I was reminded recently about a comment I made back in February 2017
> about getting guix support for x32, aka x86_64-linux-gnux32, aka
> x86_64-linux but with 32-bit data structures.  The idea was that by
> using 32-bit pointers there'd be a not insignificant speed-up of code
> execution¹.  I am uncertain how true this is, or which packages would
> really benefit from this.

Interesting!

I’m not sure why this target hasn’t been picked up by ci.guix.  (gnu ci)
calls ‘targets’, which returns it.  Weird.

> ¹ https://en.wikipedia.org/wiki/X32_ABI

It’s not clear how long support for this ABI will live on in the
toolchain…

Cheers,
Ludo’.